## ros-one-point-cloud-transport 1.0.11-0jammy.20251023.1243

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(point_cloud_transport)

find_package(catkin REQUIRED COMPONENTS
  cras_cpp_common
  cras_topic_tools
  dynamic_reconfigure
  message_generation
  nodelet
  pluginlib
  roscpp
  sensor_msgs
  topic_tools
)

find_package(Boost REQUIRED)

catkin_python_setup()

generate_dynamic_reconfigure_options(cfg/NoConfig.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} raw_${PROJECT_NAME}
  CATKIN_DEPENDS cras_cpp_common cras_topic_tools dynamic_reconfigure message_filters message_runtime nodelet roscpp sensor_msgs topic_tools
)

include_directories(include ${catkin_INCLUDE_DIRS})

# Build libpoint_cloud_transport
add_library(${PROJECT_NAME}
  src/point_cloud_codec.cpp
  src/point_cloud_transport.cpp
  src/publisher.cpp
  src/publisher_plugin.cpp
  src/single_subscriber_publisher.cpp
  src/subscriber.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} PUBLIC ${Boost_LIBRARIES} ${catkin_LIBRARIES})

# The library is build twice. Once with symbols exported for direct use, and once with symbols hidden for use via pluginlib.

# Build libraw_point_cloud_transport
add_library(raw_${PROJECT_NAME} src/raw_publisher.cpp src/raw_subscriber.cpp)
target_link_libraries(raw_${PROJECT_NAME} ${PROJECT_NAME})
add_dependencies(raw_${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS})

# Build libpoint_cloud_transport_plugins
add_library(${PROJECT_NAME}_plugins src/manifest.cpp src/raw_publisher.cpp src/raw_subscriber.cpp)
target_link_libraries(${PROJECT_NAME}_plugins ${PROJECT_NAME})
add_dependencies(${PROJECT_NAME}_plugins ${${PROJECT_NAME}_EXPORTED_TARGETS})
class_loader_hide_library_symbols(${PROJECT_NAME}_plugins)

add_library(${PROJECT_NAME}_republish src/republish.cpp)
target_link_libraries(${PROJECT_NAME}_republish ${PROJECT_NAME})
cras_node_from_nodelet(${PROJECT_NAME}_republish "${PROJECT_NAME}/republish.h" ${PROJECT_NAME}::RepublishNodelet OUTPUT_NAME republish ANONYMOUS)

add_executable(list_transports src/list_transports.cpp)
target_link_libraries(list_transports ${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugins ${PROJECT_NAME}_republish raw_${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS list_transports
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES default_plugins.xml nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)

  # catkin_lint - checks validity of package.xml and CMakeLists.txt
  # ROS buildfarm calls this without any environment and with empty rosdep cache,
  # so we have problems reading the list of packages from env
  # see https://github.com/ros-infrastructure/ros_buildfarm/issues/923
  if(DEFINED ENV{ROS_HOME})
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{ROS_HOME}")
  else()
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{HOME}/.ros")
  endif()
  #catkin_lint: ignore_once env_var
  if(DEFINED ENV{ROS_ROOT} AND EXISTS "${ROS_HOME}/rosdep/sources.cache")
    roslint_custom(catkin_lint "-W2" .)
  endif()

  # Roslint C++ - checks formatting and some other rules for C++ files

  file(GLOB_RECURSE ROSLINT_INCLUDE include/*.h include/*.hpp)
  file(GLOB_RECURSE ROSLINT_SRC src/*.cpp src/*.hpp src/*.h)
  #file(GLOB_RECURSE ROSLINT_TEST test/*.cpp)

  set(ROSLINT_CPP_OPTS "--extensions=h,hpp,hh,c,cpp,cc;--linelength=120;--filter=\
    -build/header_guard,-readability/namespace,-whitespace/braces,-runtime/references,\
    -build/c++11,-readability/nolint,-readability/todo,-legal/copyright,-build/namespaces")
  roslint_cpp(${ROSLINT_INCLUDE} ${ROSLINT_SRC})
  
  # Roslint Python

  # Run roslint on Python sources
  file(GLOB_RECURSE python_files src/*.py)
  roslint_python("${python_files}")

  roslint_add_test()
endif()

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0jammy.20251023.1243) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 12:43:44 +0000

ros-one-point-cloud-transport (1.0.11-0jammy) jammy; urgency=high

  * Fixed bad_expected_access error when pointcloud encoding fails.
  * Added known transports to readme.
  * Update README.md
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.10-0jammy) jammy; urgency=high

  * Fixed wrong dependency version.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 24 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.9-0jammy) jammy; urgency=high

  * Fixed bad_expected_access bug in simple_subscriber_plugin.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 23 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.8-0jammy) jammy; urgency=high

  * Upstreamed NumberAllocator to cras_py_common.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.7-0jammy) jammy; urgency=high

  * Upstreamed Python support functions to cras_py_common v 2.2.1.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.6-0jammy) jammy; urgency=high

  * Split Python API into several files.
  * Improved Python API to allow the pub/sub-like usage.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.5-0jammy) jammy; urgency=high

  * Fixed bug in republish. Plugin blacklist was acting exactly the opposite way.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.4-0jammy) jammy; urgency=high

  * Turned republish into a nodelet (but kept its node version).
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.3-0jammy) jammy; urgency=high

  * Added Python API for encode()/decode().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.2-0jammy) jammy; urgency=high

  * Added possibility to report log messages.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.1-0jammy) jammy; urgency=high

  * Reworked the idea to include direct encoders/decoders and not only publishers/subscribers.
  * Initial cleanup before releasing. No substantial changes made.
  * Forked from https://github.com/paplhjak/point_cloud_transport
  * Contributors: Jakub Paplham, Martin Pecka, Tomas Petricek

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000

=== debian/control ===
Source: ros-one-point-cloud-transport
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-cras-cpp-common, ros-one-cras-topic-tools, ros-one-dynamic-reconfigure, ros-one-message-generation, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-topic-tools
Homepage: https://wiki.ros.org/point_cloud_transport
Standards-Version: 3.9.2

Package: ros-one-point-cloud-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cras-cpp-common, ros-one-cras-py-common (>= 2.2.2), ros-one-cras-topic-tools, ros-one-dynamic-reconfigure, ros-one-message-filters, ros-one-message-runtime, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-topic-tools
Description: Support for transporting PointCloud2 messages in compressed format and plugin interface for implementing additional PointCloud2 transports.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-point-cloud-transport//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-point-cloud-transport 1.0.11-0jammy.20251215.2201

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0jammy.20251215.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 22:01:13 +0000

## ros-one-point-cloud-transport 1.0.11-0jammy.20260119.2119

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0jammy.20260119.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:19:48 +0000

## ros-one-point-cloud-transport 1.0.11-0jammy.20260128.2130

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0jammy.20260128.2130) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:30:48 +0000

## ros-one-point-cloud-transport 1.0.11-0jammy.20260221.2358

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0jammy.20260221.2358) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 21 Feb 2026 23:58:03 +0000

## ros-one-point-cloud-transport 1.0.11-0noble.20251023.1431

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0noble.20251023.1431) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 14:31:39 +0000

ros-one-point-cloud-transport (1.0.11-0noble) noble; urgency=high

  * Fixed bad_expected_access error when pointcloud encoding fails.
  * Added known transports to readme.
  * Update README.md
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.10-0noble) noble; urgency=high

  * Fixed wrong dependency version.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 24 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.9-0noble) noble; urgency=high

  * Fixed bad_expected_access bug in simple_subscriber_plugin.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 23 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.8-0noble) noble; urgency=high

  * Upstreamed NumberAllocator to cras_py_common.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.7-0noble) noble; urgency=high

  * Upstreamed Python support functions to cras_py_common v 2.2.1.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.6-0noble) noble; urgency=high

  * Split Python API into several files.
  * Improved Python API to allow the pub/sub-like usage.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.5-0noble) noble; urgency=high

  * Fixed bug in republish. Plugin blacklist was acting exactly the opposite way.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.4-0noble) noble; urgency=high

  * Turned republish into a nodelet (but kept its node version).
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.3-0noble) noble; urgency=high

  * Added Python API for encode()/decode().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.2-0noble) noble; urgency=high

  * Added possibility to report log messages.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.1-0noble) noble; urgency=high

  * Reworked the idea to include direct encoders/decoders and not only publishers/subscribers.
  * Initial cleanup before releasing. No substantial changes made.
  * Forked from https://github.com/paplhjak/point_cloud_transport
  * Contributors: Jakub Paplham, Martin Pecka, Tomas Petricek

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000

## ros-one-point-cloud-transport 1.0.11-0noble.20251215.2159

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0noble.20251215.2159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:59:18 +0000

## ros-one-point-cloud-transport 1.0.11-0noble.20260119.2119

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0noble.20260119.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:19:15 +0000

## ros-one-point-cloud-transport 1.0.11-0noble.20260128.2135

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0noble.20260128.2135) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:35:34 +0000

## ros-one-point-cloud-transport 1.0.11-0noble.20260222.0106

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0noble.20260222.0106) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 22 Feb 2026 01:06:33 +0000
